# leaflet-clonelayer

Leaflet layer instances cannot be added to different maps in one javascript runtime.
`leaflet-clonelayer` clones layers to allow reuse.

 - Works with leaflet 1.0.3, for Leaflet 0.7.7 support use leaflet-clonelayer@1.0.2
 - Also clones a layer's `options` (including renderers)
 - Used in [jieter/Leaflet.layerscontrol-minimap](https://github.com/jieter/Leaflet.layerscontrol-minimap)


## Example

```JavaScript
var cloneLayer = require('leaflet-clonelayer');

var layer = L.tileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
	attribution: '&copy; <a href="http://www.openstreetmap.org/copyright">OpenStreetMap</a>'
}).addTo(map1);
console.log(L.stamp(layer));  // 1

var cloned = cloneLayer(layer);
console.log(L.stamp(cloned));  // 2

// Different _leaflet_id, so now we can safely add it to another map
cloned.addTo(map2);
```

## Changelog

### 1.0.5 (2018-02-22)
 - Added support for `L.TileLayer.WMS` [#5](https://github.com/jieter/leaflet-clonelayer/pull/5) by [@mhasbie](https://github.com/mhasbie)

### 1.0.4 (2017-01-31)
 - Drop leaflet 0.7.7 support, use leaflet-clonelayer@1.0.2
 - Also clones a layer's `options` (including renderers)
